/elevenlabs-projects | Type: Application | PCID required: Yes
Tools
elevenlabs_projects_add_chapter
Create Chapter Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Studio project. |
from_url | object | No | — | An optional URL from which we will extract content to initialize the Studio project. If this is set, ‘from_url’ and ‘from_content’ must be null. If neither ‘from_url’, ‘from_document’, ‘from_content’ are provided we will initialize the Studio project as blank. |
name | string | Yes | — | The name of the chapter, used for identification only. |
elevenlabs_projects_add_project
Create Studio Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
acx_volume_normalization | boolean | No | — | [Deprecated] When the Studio project is downloaded, should the returned audio have postprocessing in order to make it compliant with audiobook normalized volume requirements |
apply_text_normalization | object | No | — | This parameter controls text normalization with four modes: ‘auto’, ‘on’, ‘apply_english’ and ‘off’. When set to ‘auto’, the system will automatically decide whether to apply text normalization (e.g., spelling out numbers). With ‘on’, text normalization will always be applied, while with ‘off’, it will be skipped. ‘apply_english’ is the same as ‘on’ but will assume that text is in English. |
author | object | No | — | An optional name of the author of the Studio project, this will be added as metadata to the mp3 file on Studio project or chapter download. |
auto_assign_voices | object | No | — | [Alpha Feature] Whether automatically assign voices to phrases in the create Project. |
auto_convert | boolean | No | — | Whether to auto convert the Studio project to audio or not. |
callback_url | object | No | — | A url that will be called by our service when the Studio project is converted. Request will contain a json blob containing the status of the conversion Messages: 1. When project was converted successfully: { type: “project_conversion_status”, event_timestamp: 1234567890, data: { request_id: “1234567890”, project_id: “21m00Tcm4TlvDq8ikWAM”, conversion_status: “success”, project_snapshot_id: “22m00Tcm4TlvDq8ikMAT”, error_details: None, } } 2. When project conversion failed: { type: “project_conversion_status”, event_timestamp: 1234567890, data: { request_id: “1234567890”, project_id: “21m00Tcm4TlvDq8ikWAM”, conversion_status: “error”, project_snapshot_id: None, error_details: “Error details if conversion failed” } } 3. When chapter was converted successfully: { type: “chapter_conversion_status”, event_timestamp: 1234567890, data: { request_id: “1234567890”, project_id: “21m00Tcm4TlvDq8ikWAM”, chapter_id: “22m00Tcm4TlvDq8ikMAT”, conversion_status: “success”, chapter_snapshot_id: “23m00Tcm4TlvDq8ikMAV”, error_details: None, } } 4. When chapter conversion failed: { type: “chapter_conversion_status”, event_timestamp: 1234567890, data: { request_id: “1234567890”, project_id: “21m00Tcm4TlvDq8ikWAM”, chapter_id: “22m00Tcm4TlvDq8ikMAT”, conversion_status: “error”, chapter_snapshot_id: None, error_details: “Error details if conversion failed” } } |
content_type | object | No | — | An optional content type of the Studio project. |
create_publishing_read | object | No | — | If true, creates a corresponding read for direct publishing in draft state |
default_model_id | object | No | — | The ID of the model to be used for this Studio project, you can query GET /v1/models to list all available models. |
default_paragraph_voice_id | object | No | — | The voice_id that corresponds to the default voice used for new paragraphs. |
default_title_voice_id | object | No | — | The voice_id that corresponds to the default voice used for new titles. |
description | object | No | — | An optional description of the Studio project. |
fiction | object | No | — | An optional specification of whether the content of this Studio project is fiction. |
from_content_json | string | No | — | An optional content to initialize the Studio project with. If this is set, ‘from_url’ and ‘from_document’ must be null. If neither ‘from_url’, ‘from_document’, ‘from_content’ are provided we will initialize the Studio project as blank. Example: [{“name”: “Chapter A”, “blocks”: [{“sub_type”: “p”, “nodes”: [{“voice_id”: “6lCwbsX1yVjD49QmpkT0”, “text”: “A”, “type”: “tts_node”}, {“voice_id”: “6lCwbsX1yVjD49QmpkT1”, “text”: “B”, “type”: “tts_node”}]}, {“sub_type”: “h1”, “nodes”: [{“voice_id”: “6lCwbsX1yVjD49QmpkT0”, “text”: “C”, “type”: “tts_node”}, {“voice_id”: “6lCwbsX1yVjD49QmpkT1”, “text”: “D”, “type”: “tts_node”}]}]}, {“name”: “Chapter B”, “blocks”: [{“sub_type”: “p”, “nodes”: [{“voice_id”: “6lCwbsX1yVjD49QmpkT0”, “text”: “E”, “type”: “tts_node”}, {“voice_id”: “6lCwbsX1yVjD49QmpkT1”, “text”: “F”, “type”: “tts_node”}]}, {“sub_type”: “h2”, “nodes”: [{“voice_id”: “6lCwbsX1yVjD49QmpkT0”, “text”: “G”, “type”: “tts_node”}, {“voice_id”: “6lCwbsX1yVjD49QmpkT1”, “text”: “H”, “type”: “tts_node”}]}]}] |
from_document | object | No | — | An optional .epub, .pdf, .txt or similar file can be provided. If provided, we will initialize the Studio project with its content. If this is set, ‘from_url’ and ‘from_content’ must be null. If neither ‘from_url’, ‘from_document’, ‘from_content’ are provided we will initialize the Studio project as blank. |
from_url | object | No | — | An optional URL from which we will extract content to initialize the Studio project. If this is set, ‘from_url’ and ‘from_content’ must be null. If neither ‘from_url’, ‘from_document’, ‘from_content’ are provided we will initialize the Studio project as blank. |
genres | any[] | No | — | An optional list of genres associated with the Studio project. |
isbn_number | object | No | — | An optional ISBN number of the Studio project you want to create, this will be added as metadata to the mp3 file on Studio project or chapter download. |
language | object | No | — | An optional language of the Studio project. Two-letter language code (ISO 639-1). |
mature_content | object | No | — | An optional specification of whether this Studio project contains mature content. |
name | string | Yes | — | The name of the Studio project, used for identification only. |
original_publication_date | object | No | — | An optional original publication date of the Studio project, in the format YYYY-MM-DD or YYYY. |
pronunciation_dictionary_locators | any[] | No | — | A list of pronunciation dictionary locators (pronunciation_dictionary_id, version_id) encoded as a list of JSON strings for pronunciation dictionaries to be applied to the text. A list of json encoded strings is required as adding projects may occur through formData as opposed to jsonBody. To specify multiple dictionaries use multiple —form lines in your curl, such as —form ‘pronunciation_dictionary_locators=”{“pronunciation_dictionary_id”:“Vmd4Zor6fplcA7WrINey”,“version_id”:“hRPaxjlTdR7wFMhV4w0b”}”’ —form ‘pronunciation_dictionary_locators=”{“pronunciation_dictionary_id”:“JzWtcGQMJ6bnlWwyMo7e”,“version_id”:“lbmwxiLu4q6txYxgdZqn”}”’. |
quality_preset | string | No | — | Output quality of the generated audio. Must be one of: ‘standard’ - standard output format, 128kbps with 44.1kHz sample rate. ‘high’ - high quality output format, 192kbps with 44.1kHz sample rate and major improvements on our side. ‘ultra’ - ultra quality output format, 192kbps with 44.1kHz sample rate and highest improvements on our side. ‘ultra_lossless’ - ultra quality output format, 705.6kbps with 44.1kHz sample rate and highest improvements on our side in a fully lossless format. |
source_type | object | No | — | The type of Studio project to create. |
target_audience | object | No | — | An optional target audience of the Studio project. |
title | object | No | — | An optional name of the author of the Studio project, this will be added as metadata to the mp3 file on Studio project or chapter download. |
voice_settings | any[] | No | — | Optional voice settings overrides for the project, encoded as a list of JSON strings. Example: [”{“voice_id”: “21m00Tcm4TlvDq8ikWAM”, “stability”: 0.7, “similarity_boost”: 0.8, “style”: 0.5, “speed”: 1.0, “use_speaker_boost”: true}“] |
volume_normalization | boolean | No | — | When the Studio project is downloaded, should the returned audio have postprocessing in order to make it compliant with audiobook normalized volume requirements |
elevenlabs_projects_convert_project_endpoint
Convert Studio Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Studio project. |
elevenlabs_projects_create_dubbing
Dub A Video Or An Audio File Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
background_audio_file | object | No | — | For use only with csv input |
csv_file | object | No | — | CSV file containing transcription/translation metadata |
csv_fps | object | No | — | Frames per second to use when parsing a CSV file for dubbing. If not provided, FPS will be inferred from timecodes. |
disable_voice_cloning | boolean | No | — | Instead of using a voice clone in dubbing, use a similar voice from the ElevenLabs Voice Library. Voices used from the library will contribute towards a workspace’s custom voices limit, and if there aren’t enough available slots the dub will fail. Using this feature requires the caller to have the ‘add_voice_from_voice_library’ permission on their workspace to access new voices. |
drop_background_audio | boolean | No | — | An advanced setting. Whether to drop background audio from the final dub. This can improve dub quality where it’s known that audio shouldn’t have a background track such as for speeches or monologues. |
dubbing_studio | boolean | No | — | Whether to prepare dub for edits in dubbing studio or edits as a dubbing resource. |
end_time | object | No | — | End time of the source video/audio file. |
file | object | No | — | A list of file paths to audio recordings intended for voice cloning |
foreground_audio_file | object | No | — | For use only with csv input |
highest_resolution | boolean | No | — | Whether to use the highest resolution available. |
mode | string | No | — | The mode in which to run this Dubbing job. Defaults to automatic, use manual if specifically providing a CSV transcript to use. Note that manual mode is experimental and production use is strongly discouraged. |
name | object | No | — | Name of the dubbing project. |
num_speakers | integer | No | — | Number of speakers to use for the dubbing. Set to 0 to automatically detect the number of speakers |
source_lang | string | No | — | Source language. Expects a valid iso639-1 or iso639-3 language code. |
source_url | object | No | — | URL of the source video/audio file. |
start_time | object | No | — | Start time of the source video/audio file. |
target_accent | object | No | — | [Experimental] An accent to apply when selecting voices from the library and to use to inform translation of the dialect to prefer. |
target_lang | object | No | — | The Target language to dub the content into. Expects a valid iso639-1 or iso639-3 language code. |
use_profanity_filter | object | No | — | [BETA] Whether transcripts should have profanities censored with the words ‘[censored]‘ |
watermark | boolean | No | — | Whether to apply watermark to the output video. |
elevenlabs_projects_create_podcast
Create Podcast Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
apply_text_normalization | object | No | — | This parameter controls text normalization with four modes: ‘auto’, ‘on’, ‘apply_english’ and ‘off’. When set to ‘auto’, the system will automatically decide whether to apply text normalization (e.g., spelling out numbers). With ‘on’, text normalization will always be applied, while with ‘off’, it will be skipped. ‘apply_english’ is the same as ‘on’ but will assume that text is in English. |
callback_url | object | No | — | A url that will be called by our service when the Studio project is converted. Request will contain a json blob containing the status of the conversion Messages: 1. When project was converted successfully: { type: “project_conversion_status”, event_timestamp: 1234567890, data: { request_id: “1234567890”, project_id: “21m00Tcm4TlvDq8ikWAM”, conversion_status: “success”, project_snapshot_id: “22m00Tcm4TlvDq8ikMAT”, error_details: None, } } 2. When project conversion failed: { type: “project_conversion_status”, event_timestamp: 1234567890, data: { request_id: “1234567890”, project_id: “21m00Tcm4TlvDq8ikWAM”, conversion_status: “error”, project_snapshot_id: None, error_details: “Error details if conversion failed” } } 3. When chapter was converted successfully: { type: “chapter_conversion_status”, event_timestamp: 1234567890, data: { request_id: “1234567890”, project_id: “21m00Tcm4TlvDq8ikWAM”, chapter_id: “22m00Tcm4TlvDq8ikMAT”, conversion_status: “success”, chapter_snapshot_id: “23m00Tcm4TlvDq8ikMAV”, error_details: None, } } 4. When chapter conversion failed: { type: “chapter_conversion_status”, event_timestamp: 1234567890, data: { request_id: “1234567890”, project_id: “21m00Tcm4TlvDq8ikWAM”, chapter_id: “22m00Tcm4TlvDq8ikMAT”, conversion_status: “error”, chapter_snapshot_id: None, error_details: “Error details if conversion failed” } } |
duration_scale | string | No | — | Duration of the generated podcast. Must be one of: short - produces podcasts shorter than 3 minutes. default - produces podcasts roughly between 3-7 minutes. long - produces podcasts longer than 7 minutes. |
highlights | object | No | — | A brief summary or highlights of the Studio project’s content, providing key points or themes. This should be between 10 and 70 characters. |
instructions_prompt | object | No | — | Additional instructions prompt for the podcast generation used to adjust the podcast’s style and tone. |
intro | object | No | — | The intro text that will always be added to the beginning of the podcast. |
language | object | No | — | An optional language of the Studio project. Two-letter language code (ISO 639-1). |
mode | object | Yes | — | The type of podcast to generate. Can be ‘conversation’, an interaction between two voices, or ‘bulletin’, a monologue. |
model_id | string | Yes | — | The ID of the model to be used for this Studio project, you can query GET /v1/models to list all available models. |
outro | object | No | — | The outro text that will always be added to the end of the podcast. |
quality_preset | string | No | — | Output quality of the generated audio. Must be one of: ‘standard’ - standard output format, 128kbps with 44.1kHz sample rate. ‘high’ - high quality output format, 192kbps with 44.1kHz sample rate and major improvements on our side. ‘ultra’ - ultra quality output format, 192kbps with 44.1kHz sample rate and highest improvements on our side. ‘ultra_lossless’ - ultra quality output format, 705.6kbps with 44.1kHz sample rate and highest improvements on our side in a fully lossless format. |
source | object | Yes | — | The source content for the Podcast. |
elevenlabs_projects_delete_chapter_endpoint
Delete Chapter Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Studio project. |
chapter_id | string | Yes | — | The ID of the chapter. |
elevenlabs_projects_delete_dubbing
Delete Dubbing Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dubbing_id | string | Yes | — | ID of the dubbing project. |
elevenlabs_projects_delete_project
Delete Studio Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Studio project. |
elevenlabs_projects_edit_chapter
Update Chapter Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Studio project. |
chapter_id | string | Yes | — | The ID of the chapter. |
content | object | No | — | The chapter content to use. |
name | object | No | — | The name of the chapter, used for identification only. |
elevenlabs_projects_edit_project
Update Studio Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Studio project. |
author | object | No | — | An optional name of the author of the Studio project, this will be added as metadata to the mp3 file on Studio project or chapter download. |
default_paragraph_voice_id | string | Yes | — | The voice_id that corresponds to the default voice used for new paragraphs. |
default_title_voice_id | string | Yes | — | The voice_id that corresponds to the default voice used for new titles. |
isbn_number | object | No | — | An optional ISBN number of the Studio project you want to create, this will be added as metadata to the mp3 file on Studio project or chapter download. |
name | string | Yes | — | The name of the Studio project, used for identification only. |
title | object | No | — | An optional name of the author of the Studio project, this will be added as metadata to the mp3 file on Studio project or chapter download. |
volume_normalization | boolean | No | — | When the Studio project is downloaded, should the returned audio have postprocessing in order to make it compliant with audiobook normalized volume requirements |
elevenlabs_projects_edit_project_content
Update Studio Project Content Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Studio project. |
auto_convert | boolean | No | — | Whether to auto convert the Studio project to audio or not. |
from_content_json | string | No | — | An optional content to initialize the Studio project with. If this is set, ‘from_url’ and ‘from_document’ must be null. If neither ‘from_url’, ‘from_document’, ‘from_content’ are provided we will initialize the Studio project as blank. Example: [{“name”: “Chapter A”, “blocks”: [{“sub_type”: “p”, “nodes”: [{“voice_id”: “6lCwbsX1yVjD49QmpkT0”, “text”: “A”, “type”: “tts_node”}, {“voice_id”: “6lCwbsX1yVjD49QmpkT1”, “text”: “B”, “type”: “tts_node”}]}, {“sub_type”: “h1”, “nodes”: [{“voice_id”: “6lCwbsX1yVjD49QmpkT0”, “text”: “C”, “type”: “tts_node”}, {“voice_id”: “6lCwbsX1yVjD49QmpkT1”, “text”: “D”, “type”: “tts_node”}]}]}, {“name”: “Chapter B”, “blocks”: [{“sub_type”: “p”, “nodes”: [{“voice_id”: “6lCwbsX1yVjD49QmpkT0”, “text”: “E”, “type”: “tts_node”}, {“voice_id”: “6lCwbsX1yVjD49QmpkT1”, “text”: “F”, “type”: “tts_node”}]}, {“sub_type”: “h2”, “nodes”: [{“voice_id”: “6lCwbsX1yVjD49QmpkT0”, “text”: “G”, “type”: “tts_node”}, {“voice_id”: “6lCwbsX1yVjD49QmpkT1”, “text”: “H”, “type”: “tts_node”}]}]}] |
from_document | object | No | — | An optional .epub, .pdf, .txt or similar file can be provided. If provided, we will initialize the Studio project with its content. If this is set, ‘from_url’ and ‘from_content’ must be null. If neither ‘from_url’, ‘from_document’, ‘from_content’ are provided we will initialize the Studio project as blank. |
from_url | object | No | — | An optional URL from which we will extract content to initialize the Studio project. If this is set, ‘from_url’ and ‘from_content’ must be null. If neither ‘from_url’, ‘from_document’, ‘from_content’ are provided we will initialize the Studio project as blank. |
elevenlabs_projects_get_chapter_by_id_endpoint
Get Chapter Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Studio project. |
chapter_id | string | Yes | — | The ID of the chapter. |
elevenlabs_projects_get_chapters
List Chapters Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Studio project. |
elevenlabs_projects_get_dubbed_file
Get Dubbed File Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dubbing_id | string | Yes | — | ID of the dubbing project. |
language_code | string | Yes | — | ID of the language. |
elevenlabs_projects_get_dubbed_metadata
Get Dubbing Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dubbing_id | string | Yes | — | ID of the dubbing project. |
elevenlabs_projects_get_dubbing_transcripts
Retrieve A Transcript Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dubbing_id | string | Yes | — | ID of the dubbing project. |
language_code | string | Yes | — | ISO-693 language code to retrieve the transcript for. Use ‘source’ to fetch the transcript of the original media. |
format_type | string | Yes | — | Format to return transcript in. For subtitles use either ‘srt’ or ‘webvtt’, and for a full transcript use ‘json’. The ‘json’ format is not yet supported for Dubbing Studio. |
elevenlabs_projects_get_project_by_id
Get Studio Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Studio project. |
share_id | object | No | — | The share ID of the project |
elevenlabs_projects_get_project_snapshots
List Studio Project Snapshots Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Studio project. |
elevenlabs_projects_get_projects
List Studio Projectselevenlabs_projects_list_dubs
List Dubs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | object | No | — | Used for fetching next page. Cursor is returned in the response. |
page_size | integer | No | — | How many dubs to return at maximum. Can not exceed 200, defaults to 100. |
dubbing_status | string | No | — | What state the dub is currently in. |
filter_by_creator | string | No | — | Filters who created the resources being listed, whether it was the user running the request or someone else that shared the resource with them. |
order_by | string | No | — | The field to use for ordering results from this query. |
order_direction | string | No | — | The order direction to use for results from this query. |
elevenlabs_projects_update_pronunciation_dictionaries
Create Pronunciation Dictionaries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Studio project. |
invalidate_affected_text | boolean | No | — | This will automatically mark text in this project for reconversion when the new dictionary applies or the old one no longer does. |
pronunciation_dictionary_locators | any[] | Yes | — | A list of pronunciation dictionary locators (pronunciation_dictionary_id, version_id) encoded as a list of JSON strings for pronunciation dictionaries to be applied to the text. A list of json encoded strings is required as adding projects may occur through formData as opposed to jsonBody. To specify multiple dictionaries use multiple —form lines in your curl, such as —form ‘pronunciation_dictionary_locators=”{“pronunciation_dictionary_id”:“Vmd4Zor6fplcA7WrINey”,“version_id”:“hRPaxjlTdR7wFMhV4w0b”}”’ —form ‘pronunciation_dictionary_locators=”{“pronunciation_dictionary_id”:“JzWtcGQMJ6bnlWwyMo7e”,“version_id”:“lbmwxiLu4q6txYxgdZqn”}”’. |

